> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/extranet/site-status

> Returns a list of Statuses objects indicating the availability/reachability of the Server IP addresses from the Sites configured to the Provider or Consumer of the service.Healthy status indicates the Site can reach all the Server IP Addresses.Impaired status indicates that the Site can reach only a subset of Server IP addresses.Down status indicates the Site can reach none of the Server IP addresses.

## OpenAPI

````json GET /v2/monitoring/extranet/site-status
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/extranet/site-status": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "id",
            "in": "query",
            "description": "the id associated with an entity - consumer_id for consumer, and service_id for the producer/service",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1
          },
          {
            "name": "isProvider",
            "in": "query",
            "description": "whether the entity is a provider or consumer",
            "required": true,
            "schema": {
              "type": "boolean",
              "example": true
            },
            "example": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringExtranetSiteStatusGetResponse"
                }
              }
            }
          }
        },
        "description": "Returns a list of Statuses objects indicating the availability/reachability of the Server IP addresses from the Sites configured to the Provider or Consumer of the service.Healthy status indicates the Site can reach all the Server IP Addresses.Impaired status indicates that the Site can reach only a subset of Server IP addresses.Down status indicates the Site can reach none of the Server IP addresses."
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringExtranetSiteStatusGetResponse": {
        "type": "object",
        "properties": {
          "statuses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetSiteStatus"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetSiteStatus": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "the id of the site"
          },
          "name": {
            "type": "string",
            "example": "site1",
            "description": "the name of the site"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the status of the site (Healthy, Impaired, Down)"
          },
          "statuses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetServerStatus"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetServerStatus": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "example": "192.168.1.1",
            "description": "the IP address of the server"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the health status of the server (Healthy, Impaired, Down)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

